List per-booking buffers for a stock item
curl --request GET \
--url https://server.twicecommerce.com/v1/admin/articles/{id}/booking-buffer \
--header 'X-API-KEY: <api-key>'import requests
url = "https://server.twicecommerce.com/v1/admin/articles/{id}/booking-buffer"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://server.twicecommerce.com/v1/admin/articles/{id}/booking-buffer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bookings": {
"orderStockItemId": "<string>",
"bufferStartBefore": "2023-11-07T05:31:56Z",
"bufferEndBefore": "2023-11-07T05:31:56Z",
"bufferStart": "2023-11-07T05:31:56Z",
"bufferEnd": "2023-11-07T05:31:56Z",
"differsFromConfig": true
}
}Lists each of a stock item’s bookings with its current buffer window, and whether that differs from the stock-item default.
GET
/
v1
/
admin
/
articles
/
{id}
/
booking-buffer
List per-booking buffers for a stock item
Authorizations
API key for the Twice API
Path Parameters
Response
200
Hide child attributes
Hide child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?